• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • redsn0w 0.9.6beta5 Out - Tethered Jailbreak for 4.2.1 on Older Devices
    redsn0w 0.9.6beta4 was just recently announced, and beta5 is now out giving both Windows and OSX users the ability to flash the iPad 06.15 baseband on iPhone3G or iPhone3GS. (why?).

    This release jailbreaks iPhone3G, older iPhone3GS, and non-MC iPod touch 2G. It also assists 3G and 3G[S] users with baseband 05.14 or 05.15 who have been stuck without an unlock upgrade their baseband to 06.15 in order to use the new ultrasn0w which was just released. DO NOT DO THIS UNLESS YOU NEED TO. More on that here.

    A much upgraded Cydia is also included in this release, which we'll be writing a full story on in the morning - a ton of great improvements thanks to saurik and chpwn.
    This article was originally published in forum thread: redsn0w 0.9.6beta5 Out - Tethered Jailbreak for 4.2.1 on Older Devices started by Kyle Matthews View original post
    Comments 105 Comments
    1. markito979's Avatar
      markito979 -
      Will redsn0w hackactive an iphone 3g on 4.1?
      I dont have a att sim card just a tmobile
    1. Simon's Avatar
      Simon -
      yes it will
    1. cat2115's Avatar
      cat2115 -
      hi please help,

      my brother's friend had an iphone 3G with v4.1 lock and unjailbreak. I used limera1n for window and it's freeze at "DFU mode...wait",, i stay there forever. so i quit. then i use redsn0w latest beta. i download iphone3G firmware 4.1. Redsn0w successfully jailbreak iphone 3G v4.1. i turn off 3G in setting, then install cydia, then i install Ultrasn0w. everything was successful but his iphone 3G still lock. and it kept say no service or searching. he's with t-mobile. oh his iphone 3G is non-MC. I am doing something wrong? please help
    1. Simon's Avatar
      Simon -
      What does his modem firmware/baseband say under settings-general-about?
    1. cat2115's Avatar
      cat2115 -
      Quote Originally Posted by x98car View Post
      What does his modem firmware/baseband say under settings-general-about?
      not sure but it's not 6.xx. it's 5.xx
    1. Simon's Avatar
      Simon -
      if its 5.14.02 or 5.15.04 then ultrasn0w will not work on it.
    1. cat2115's Avatar
      cat2115 -
      Quote Originally Posted by x98car View Post
      if its 5.14.02 or 5.15.04 then ultrasn0w will not work on it.
      does that mean i need to update bb to 6.xx and stay with v4.1 to unlock?
    1. Simon's Avatar
      Simon -
      If you have one of those basebands then updating to the 6.15 baseband is your only option to unlock right now. Just be aware of what you are doing though before going through with it.
    1. cat2115's Avatar
      cat2115 -
      So i should wait til the final unlock release? Thx for your reply
    1. Simon's Avatar
      Simon -
      There is no word that there will be a different unlock. So this is the only option for you right now if you want to unlock.
    1. padgzilla's Avatar
      padgzilla -
      Quote Originally Posted by shagster40 View Post
      Ok I have a 3GS @4.1. It has 5.14 BB. Does it matter if it's old or new bootrom. I need the unlock so I am willing to flash it with the 6.15. But I need to know if it will be tethered or untethered.
      Did you find an answer to your question? I have 3GS, 4.1, 5.14.02 BB, with an old Bootrom -do you know if I upgrade to 6.15, will it be tethered or untethred?
    1. Simon's Avatar
      Simon -
      The baseband does not determine if you are tethered or not. The firmware does. 4.1 is untethered for all devices.
    1. Tilda's Avatar
      Tilda -
      4.1 is untethered but 4.2.1 is till only tethered. An untethered version is under way as far as I understand.
    1. icemasta's Avatar
      icemasta -
      Quote Originally Posted by Tilda View Post
      4.1 is untethered but 4.2.1 is till only tethered. An untethered version is under way as far as I understand.
      I thought 4.2.1 jailbreak was untethered for older devices like 3G and old bootrom 3GS unless I'm wrong.

      Quick question though,
      say I jailbreak 4.1 and install modem firmware 6.15 to unlock, how exactly can I upgrade to 4.2.1 later since 6.15 doesnt let you restore to stock?

      Isn't it that you have to restore the firmware that you'd want to jailbreak before jailbreaking and from what I've read if you use 6.15 you can't restore to apple firmware anymore?

      Also, the dev team have said they will try and downgrade 6.15 but didn't they say you can't downgrade?
    1. Simon's Avatar
      Simon -
      You can either restore to a custom firmware or update (not restore) to 4.2.1. You will still get an error but tiny umbrella will work to kick out of recovery.
    1. icemasta's Avatar
      icemasta -
      Would you recommend jailbreaking at 4.1 and to 6.15 or just upgrade to 4.2.1 and 6.15 for an iPhone 3G?

      Is the 4.2.1. jailbreak untethered for 3G or only the 4.1?

      Also, the 6.15 has been having issues with GPS and battery draining (there is a fix I read) which is making me kinda wanting to wait.
    1. Simon's Avatar
      Simon -
      Doesnt matter too much 4.1 and 4.2.1 are pretty similar. It is untethered for iPhone 3G always.

      You will only have battery issues if you hactivate and can use SAM to fix that.
    1. icemasta's Avatar
      icemasta -
      Ok thanks.

      I'll just borrow a friends Rogers SIM to activate then just unlock it.

      Also, how do I make custom firmwares just in case for the future?
    1. Simon's Avatar
      Simon -
      With pwnage tool on a Mac.
    1. icemasta's Avatar
      icemasta -
      OK thanks...I guess I have to look around for custom firmware files since I don't have a MAC.